/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Driver Header File for Generic Serial Flash Interface Intel FPGA IP.
 *
 * Copyright (C) 2018 Intel Corporation. All rights reserved.
 *
 */

#ifndef __INTEL_GENERIC_QSPI_H
#define __INTEL_GENERIC_QSPI_H

#include <linux/regmap-intel-pac.h>

#define INTEL_GENERIC_QSPI_DRV_NAME	"intel-generic-qspi"

/**
 * struct intel_generic_qspi_platform_data -
 * Platform data for Intel Generic Serial Flash
 * @regmap_bus:	regmap bus, used when do regmap_init.
 * @regmap_ctx:	regmap bus context, used when do regmap_init.
 */
struct intel_generic_qspi_platform_data {
	struct regmap_bus regmap_bus;
	void *regmap_ctx;
	void *data_regmap_ctx;
};

#endif /* __INTEL_GENERIC_QSPI_H */
