/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Driver Header File for Intel On Chip Flash IP.
 *
 * Copyright (C) 2019 Intel Corporation. All rights reserved.
 *
 */

#ifndef __INTEL_ON_CHIP_FLASH_H
#define __INTEL_ON_CHIP_FLASH_H

#include <linux/regmap-intel-pac.h>

#define INTEL_ON_CHIP_FLASH_DRV_NAME	"intel-on-chip-flash"

/**
 * struct intel_on_chip_flash_platform_data -
 * Platform data for Intel On Chip Flash IP
 * @regmap_bus:	regmap bus, used when do regmap_init.
 * @regmap_ctx:	regmap bus context, used when do regmap_init.
 */
struct intel_on_chip_flash_platform_data {
	struct regmap_bus regmap_bus;
	void *regmap_ctx;
	void *data_regmap_ctx;
};

#endif /* __INTEL_ON_CHIP_FLASH_H */
